#include "ArduinoLightSensor.h"

//edit 12-09-2018:
//switched Pin1 and Pin2 of the motorcircuits because the use of the tone function interferes with PWM on pin 11 (see arduino forums)
//By using Pin11 just as a digital output this interference is avoided, in the code only Pin1 recieves the analogWrite instruction

//edit 20-09-2018
//switched pins back again because pin 10 and 9 cant be used in conjunction with the servo.h library

ArduinoLightSensor::ArduinoLightSensor(){
	pinMode(LightSensorDigitalPin,INPUT);
	pinMode(LEDPWMPin,OUTPUT);
}
void ArduinoLightSensor::TurnLEDOn(){
	digitalWrite(LEDPWMPin,HIGH);  
}
void ArduinoLightSensor::TurnLEDOff(){
	digitalWrite(LEDPWMPin,LOW);  
}
bool ArduinoLightSensor::LightSensorOn(){
	return digitalRead(LightSensorDigitalPin);  
}
uint8_t ArduinoLightSensor::ReadLightSensorValue(){
  // read the analog in value:
  sensorValue = analogRead(LightSensorAnalogPin);
  // map it to the range of the analog out:
  outputValue = map(sensorValue, 300, 750, 0, 255);
  if (outputValue < 0) {outputValue = 0;}
  return outputValue;
}
void ArduinoLightSensor::WritePWMLED(uint8_t PWMValue){
	analogWrite(LEDPWMPin,PWMValue);
	delay(2); 
}
